package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: RegisterCompanyPlatformReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:27
 */
@Data
public class Nft010RegisterCompanyPlatformResp implements Serializable {
    /**
     * 用户唯一标识
     */
    private String userIdentification;

    private static final Nft010RegisterCompanyPlatformResp obj = new Nft010RegisterCompanyPlatformResp();
    public static Nft010RegisterCompanyPlatformResp getNew() {
        try {
            return (Nft010RegisterCompanyPlatformResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft010RegisterCompanyPlatformResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
